{% assign date_format = site.date_format | default: "%B %-d, %Y" %}

{% if page.cover-img or page.title %}

{% if page.cover-img %}
  <div id="header-big-imgs" data-num-img={% if page.cover-img.first %}{{ page.cover-img.size }}{% else %}1{% endif %}
    {% for bigimg in page.cover-img %}
    {% assign imgnum = forloop.index %}
    {% for imginfo in bigimg %}
      {% if imginfo[0] %}
      data-img-src-{{ imgnum }}="{{ imginfo[0] | absolute_url }}"
      data-img-desc-{{ imgnum }}="{{ imginfo[1] }}"
    {% else %}
      data-img-src-{{ imgnum }}="{{ imginfo | absolute_url }}"
    {% endif %}
    {% endfor %}
    {% endfor %}
  ></div>
{% endif %}

<header class="header-section {% if page.cover-img %}has-img{% endif %}">
{% if page.cover-img %}
<div class="big-img intro-header">
  <div class="container-md">
    <div class="row">
      <div class="col-xl-8 offset-xl-2 col-lg-10 offset-lg-1">
        <div class="{{ include.type }}-heading">
          <h1>{% if page.title %}{{ page.title | strip_html }}{% else %}<br/>{% endif %}</h1>
          {% if page.subtitle %}
            {% if include.type == "page" %}
              <hr class="small">
              <span class="{{ include.type }}-subheading">{{ page.subtitle | strip_html }}</span>
            {% else %}
              <h2 class="{{ include.type }}-subheading">{{ page.subtitle | strip_html }}</h2>
            {% endif %}
          {% endif %}

          {% if include.type == "post" %}
            <span class="post-meta">Posted on {{ page.date | date: date_format }} {% if page.author %} by {{page.author}}{% endif %} </span>
            {% if page.last-updated %}
              <span class="post-meta">
                <span class="d-none d-md-inline middot">&middot;</span>
                Last updated {{ page.last-updated | date: date_format }}
              </span>
            {% endif %}
            {% if page.readtime %}
              {% include readtime.html %}
            {% endif %}
          {% endif %}
        </div>
      </div>
    </div>
  </div>
  <span class='img-desc'></span>
</div>
{% endif %}
<div class="intro-header no-img">
  <div class="container-md">
    <div class="row">
      <div class="col-xl-8 offset-xl-2 col-lg-10 offset-lg-1">
        <div class="{{ include.type }}-heading">
          <h1>{% if page.title %}{{ page.title | strip_html }}{% else %}<br/>{% endif %}</h1>
          {% if page.subtitle %}
            {% if include.type == "page" %}
              <hr class="small">
              <span class="{{ include.type }}-subheading">{{ page.subtitle | strip_html }}</span>
            {% else %}
              <h2 class="{{ include.type }}-subheading">{{ page.subtitle | strip_html }}</h2>
            {% endif %}
          {% endif %}

          {% if include.type == "post" %}
            <span class="post-meta">Posted on {{ page.date | date: date_format }} {% if page.author %} by {{page.author}}{% endif %}</span>
            {% if page.last-updated %}
              <span class="post-meta">
                <span class="d-none d-md-inline middot">&middot;</span>
                Last updated {{ page.last-updated | date: date_format }}
              </span>
            {% endif %}
            {% if page.readtime %}
              {% include readtime.html %}
            {% endif %}
          {% endif %}
        </div>
      </div>
    </div>
  </div>
</div>
</header>


{% else %}
<div class="intro-header"></div>
{% endif %}